Collection/templates/CollectionFinishedTemplate.php - Call to a member function isSpecialPage() on a non-object (null)
Closed, ResolvedPublic

Description

In exception.log

2016-10-05 21:24:35 [V-VvkwpAADkAAKXqWfgAAACL] mw1262 enwiki 1.28.0-wmf.20 exception ERROR: [V-VvkwpAADkAAKXqWfgAAACL] /w/index.php?title=Special:Book&bookcmd=rendering&collection_id=b0f61c652a9812343554f9a5e853647d2c94d881&writer=rdf2latex   BadMethodCallException from line 25 of /srv/mediawiki/php-1.28.0-wmf.20/extensions/Collection/templates/CollectionFinishedTemplate.php: Call to a member function isSpecialPage() on a non-object (null) {"exception_id":"V-VvkwpAADkAAKXqWfgAAACL"}
[Exception BadMethodCallException] (/srv/mediawiki/php-1.28.0-wmf.20/extensions/Collection/templates/CollectionFinishedTemplate.php:25) Call to a member function isSpecialPage() on a non-object (null)
  #0 /srv/mediawiki/php-1.28.0-wmf.20/includes/skins/QuickTemplate.php(184): CollectionFinishedTemplate->execute()
  #1 /srv/mediawiki/php-1.28.0-wmf.20/includes/OutputPage.php(1853): QuickTemplate->getHTML()
  #2 /srv/mediawiki/php-1.28.0-wmf.20/extensions/Collection/Collection.body.php(1114): OutputPage->addTemplate(CollectionFinishedTemplate)
  #3 /srv/mediawiki/php-1.28.0-wmf.20/extensions/Collection/Collection.body.php(268): SpecialCollection->renderRenderingPage()
  #4 /srv/mediawiki/php-1.28.0-wmf.20/includes/specialpage/SpecialPage.php(522): SpecialCollection->execute(NULL)
  #5 /srv/mediawiki/php-1.28.0-wmf.20/includes/specialpage/SpecialPageFactory.php(584): SpecialPage->run(NULL)
  #6 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
  #7 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #8 /srv/mediawiki/php-1.28.0-wmf.20/includes/MediaWiki.php(522): MediaWiki->main()
  #9 /srv/mediawiki/php-1.28.0-wmf.20/index.php(43): MediaWiki->run()
  #10 /srv/mediawiki/w/index.php(3): include(string)
  #11 {main}
Addshore created this task.Oct 5 2016, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 9:30 PM
Addshore updated the task description. (Show Details)Oct 5 2016, 9:30 PM

Change 314423 had a related patch set uploaded (by Addshore):
Avoid call to isSpecialPage() on a non-object (null)

https://gerrit.wikimedia.org/r/314423

Addshore moved this task from Proposed to Review on the WMDE-QWERTY-Team-Experimental-Sprint board.
Addshore added a project: Wikimedia-log-errors.
Addshore updated the task description. (Show Details)
Addshore moved this task from Backlog to Fix available on the Wikimedia-log-errors board.
thiemowmde closed this task as Resolved.Oct 6 2016, 4:43 PM
thiemowmde moved this task from Review to Done on the WMDE-QWERTY-Team-Experimental-Sprint board.

Change 314423 merged by jenkins-bot:
Avoid call to isSpecialPage() on a non-object (null)

https://gerrit.wikimedia.org/r/314423